classification
Title: Verify command option before parsing config file
Type: performance Stage: resolved
Components: Distutils2 Versions: 3rd party
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: tarek Nosy List: eric.araujo, sdouche, tarek
Priority: normal Keywords:

Created on 2011-01-29 15:20 by sdouche, last changed 2011-02-04 17:28 by eric.araujo. This issue is now closed.

Messages (4)
msg127432 - (view) Author: Sebastien Douche (sdouche) Date: 2011-01-29 15:20
Distutils2 verify command (like sdist) when he use it. A small optimization is add the verification step at launch.
msg127456 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-01-29 18:14
I’m afraid I don’t understand your report.
msg127584 - (view) Author: Sebastien Douche (sdouche) Date: 2011-01-31 08:18
Oups sorry Eric. I created the report very quickly after a discussion with Tarek. If you type a wrong command like "python -m distutils2:run wrong", disutils2 still parses the setup.cfg. How resolve this? Don't know, maybe a migration to optparse.

Anyway, close the bug if you think it's irrevelant.
msg127617 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-01-31 16:48
Well, the setup.cfg could register a command named “wrong”, so d2 really has to parse all config files before rejecting a command.
History
Date User Action Args
2011-02-04 17:28:57eric.araujosetnosy: tarek, eric.araujo, sdouche
type: behavior -> performance
2011-02-04 17:26:48eric.araujosetstatus: open -> closed
nosy: tarek, eric.araujo, sdouche
resolution: rejected
stage: resolved
2011-01-31 16:48:20eric.araujosetnosy: tarek, eric.araujo, sdouche
messages: + msg127617
2011-01-31 08:18:01sdouchesetnosy: tarek, eric.araujo, sdouche
messages: + msg127584
2011-01-29 18:14:19eric.araujosetnosy: tarek, eric.araujo, sdouche
messages: + msg127456
versions: + 3rd party
2011-01-29 15:20:54sdouchecreate